function out1 = kin_xyzbc_tt_forward_complete(in1,in2)
%KIN_XYZBC_TT_FORWARD_COMPLETE
%    OUT1 = KIN_XYZBC_TT_FORWARD_COMPLETE(IN1,IN2)

%    This function was generated by the Symbolic Math Toolbox version 9.1.
%    07-Nov-2023 14:54:27

%Forward Kinematics ( with unit tool tip vector )  : 
%INPUTS : 
%	r_j    (5x1) : pose vector( joint space )
%	p      (3x5) : parameters
%OUTPUTS : 
%	res    (6x1) : 
%          (3x1) : pose vector ( joint space )
%          (3x1) : unit tool tip vector ( joint space )
%#codegen
b = in1(4,:);
c = in1(5,:);
offB1 = in2(10);
offB2 = in2(11);
offC1 = in2(13);
offB3 = in2(12);
offC2 = in2(14);
offC3 = in2(15);
offM1 = in2(1);
offM2 = in2(2);
offM3 = in2(3);
offP1 = in2(7);
offP2 = in2(8);
offP3 = in2(9);
offT1 = in2(4);
offT2 = in2(5);
offT3 = in2(6);
x = in1(1,:);
y = in1(2,:);
z = in1(3,:);
t2 = cos(b);
t3 = cos(c);
t4 = sin(b);
t5 = sin(c);
t6 = -offM1;
t7 = -offM2;
t8 = -offM3;
t9 = offB1+offC1+offT1+t6+x;
t10 = offB2+offC2+offT2+t7+y;
t11 = offB3+offC3+offT3+t8+z;
out1 = [-offC1-offP1-offB1.*t3-offB2.*t5+t5.*t10+t2.*t3.*t9-t3.*t4.*t11;-offC2-offP2-offB2.*t3+offB1.*t5+t3.*t10-t2.*t5.*t9+t4.*t5.*t11;-offB3-offC3-offP3+t2.*t11+t4.*t9;-t3.*t4;t4.*t5;t2];
